<div class="min-w-full dark:divide-gray-800">
  <div class="divide-y divide-gray-200 dark:divide-gray-700">
    <!-- Loop through items-->
    <template x-for="item in results">
      <div
        class="flex"
        :class="{ 
            'opacity-25 pointer-events-none' : item.loading || controller?.loading,
            'bg-red-500/10': item?.error,
        }"
      >
        <div class="flex-1 px-4 py-4 text-sm font-medium whitespace-nowrap">
          <div>
            <i
              :class="{
              'fa-solid fa-arrows-rotate animate-spin text-blue-500': item.loading,
              'fa-solid fa-circle-check text-green-500': !item?.error && !item.loading,
              'fa-solid fa-triangle-exclamation text-red-500': item?.error && !item.loading,
            }"
            ></i>
            <span x-text="item.DNS_TARGET" class="font-normal"></span>
          </div>
        </div>
        <div class="w-48 px-4 py-4 text-sm font-medium whitespace-nowrap">
          <label class="relative inline-flex cursor-pointer items-center">
            <input
              type="checkbox"
              class="peer sr-only"
              x-bind:id="'DNS_TEST_LB_' + item.DNS_TARGET"
              x-bind:disabled="item.loading || false"
              x-model="item.DNS_TEST_LB"
              @change="console.debug('Changed item', item)"
            />
            <div
              class="peer h-4 w-11 rounded-full border bg-gray-200 after:absolute after:-top-1 after:left-0 after:h-6 after:w-6 after:rounded-full after:border after:border-gray-300 after:bg-white after:transition-all after:content-[''] peer-checked:bg-blue-500 peer-checked:after:translate-x-full peer-focus:ring-blue-500"
              :class="{
                  'font-bold text-red-500 peer-checked:bg-red-500 peer-focus:ring-red-500': item.error,
              }"
            ></div>
            <label
              x-bind:for="'DNS_TEST_LB_' + item.DNS_TARGET"
              x-bind:disabled="item.loading || false"
              class="pl-2 text-sm"
              :class="{
                'font-bold text-red-500': item.error,
                'font-bold text-blue-500': item.DNS_TEST_LB,
                'font-thin opacity-25': !item.DNS_TEST_LB
              }"
            >
              Test Load Balancers
            </label>
          </label>
        </div>
        <div class="flex"></div>
        <div
          class="w-36 pr-4 py-4 flex content-end text-sm font-medium whitespace-nowrap"
        >
          <span class="flex-1"></span>
          <button
            data-ripple-light="true"
            x-bind:disabled="item.loading"
            class="middle none center flex items-center justify-center rounded-lg bg-blue-500 px-2 text-white text-xs font-bold uppercase shadow-md transition-all hover:shadow-lg shadow-blue-500/20 hover:shadow-blue-500/40 active:opacity-[0.85] disabled:pointer-events-none disabled:opacity-10 disabled:shadow-none disabled:bg-gray-500"
            :class="{ 
                'text-white': !item.error,
                'disabled:opacity-10': !item?.error && item.loading,
                'text-white bg-red-500 shadow-red-500/20 hover:shadow-red-500/40 ': item.error,
            }"
            @click="await submitChanges(item)"
          >
            <i x-show="item.error" class="fa-solid fa-triangle-exclamation"></i>
            <i
              x-show="!item.error && item.loading"
              class="fa-solid fa-arrows-rotate animate-spin"
            ></i>
            <i
              x-show="!item.error && !item.loading"
              class="fa-solid fa-circle-play text-sm leading-none"
            ></i>
            <span
              x-text="item.loading ? 'Probing' : (item.error ? 'Retry' : 'Probe')"
              class="mx-1.5"
            ></span>
          </button>
        </div>
      </div>
    </template>
  </div>
</div>
